Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
nhantony

[Yêu cầu] Sửa lisp ghi cao độ và xin lisp tính khoảng cách trên mặt cắt ngang

Các bài được khuyến nghị

nhantony    6

Lang thang diễn đàn trên thấy lisp rất hay và đúng cái mình muốn tìm nhưng nhờ các pro trong forum sửa lại và thêm một số chức năng nữa:
- Xuất cao độ theo thỉ lệ bản vẽ
- Thêm dấu "+" - " theo mốc
Lisp cần sửa ở link bên dưới

Nhân tiện anh em có lisp tính khoảng cách và khoảng cách cộng dồn trên mặt cắt ngang cho mình xin

P / s: Đây là bài post đầu tiên mong Mod thông cảm 

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/topic/62667-nho-anh-em-giup-lisp-ghi-cao-do-mat-cat-ngang/
(defun C:HA( / y0 y1 ent)
(command "ucs" "w")
(setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
(while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
(princ))

 

;; free lisp from cadviet.com
(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))
 
;; free lisp from cadviet.com
(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))
 
;; free lisp from cadviet.com
(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))
 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Lang thang diễn đàn above see you just like lisp mean you are required but you would like to the pro fix the back and add more than one functionality anymore:

- Xuất Cao degrees in Ti Lệ drawing

- Adding mark "+" - "on the before in mốc

Lisp needs to modify liên kết below the

Utilities be anh em that you lisp computed distance and distance plus Don in Masked horizontal

P / s: Pass the first bài lesson mong mod messages Cảm

;; lisp miễn phí từ cadviet.com

;; lisp này đã được tải về từ http://www.cadviet.com/forum/topic/62667-nho-anh-em-giup-lisp-ghi-cao-do-mat-cat-ngang/

(defun C: HA (/ y0 y1 ent)

(command "UCS" "w")

(setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\ nChon Dòng de lam Dương chuan:")))))))

(trong khi

  (và

   (setq y1 (cadr (getpoint "\ nPick diem de lay Cao làm:")))

   (setq ent (car (entsel "\ nChon Tiêu de sua Cao làm:")))

   (entmod (subst (cons 1 (RTOS ( - y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))

(princ))

Hề hề hề,

Anh bạn này quá siêu và quá vui tính. Tây ta kết hợp kiểu ni thiệt khó có người bắt chước. Đến trong lisp cũng nhét tiếng ta vào thì chắc  có một và chỉ một mà thôi.

Tiếc rằng cái anh bạn cần lại chả chịu nói hết nên đành ..... chờ vậy.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nhantony    6

Hề hề hề,

Anh bạn này quá siêu và quá vui tính. Tây ta kết hợp kiểu ni thiệt khó có người bắt chước. Đến trong lisp cũng nhét tiếng ta vào thì chắc  có một và chỉ một mà thôi.

Tiếc rằng cái anh bạn cần lại chả chịu nói hết nên đành ..... chờ vậy.

Mình cũng chả hiểu viết tiếng việt mà up lên nó nhảy loạn anh việt tùm lum :)

Mình edit lại rồi 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
zed1987    1

cần sửa lips ghi cao độ e thấy rất hay đỡ tốn thời gian nhưng nó lại ko cho mình chon tỉ lệ bản vẽ các pro jup e với ạ 

;; free lisp from cadviet.com
(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))
 
;; free lisp from cadviet.com
(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
zed1987    1

e cần các pro sửa giùm e cho cái lisp e thấy lip ghi cao độ này rất hay nhưng ngặt nỗi nó ko cho mình chọn tỉ lệ bản vẽ nên nhờ các pro sữ giúp cho nó cho chọn tỉ lệ bản vẽ với ạ e kamr ơn

;; free lisp from cadviet.com

;;; this lisp was downloaded from http://www.cadviet.com/forum/topic/62667-nho-anh-em-giup-lisp-ghi-cao-do-mat-cat-ngang/
(defun C:HA( / y0 y1 ent)
(command "ucs" "w")
(setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
(while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
(princ))

 

;; free lisp from cadviet.com
(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))
 
;; free lisp from cadviet.com
(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))
 
;; free lisp from cadviet.com
(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))
 
;; free lisp from cadviet.com
(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))
 
;; free lisp from cadviet.com
(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))
 
(defun C:HA( / y0 y1 ent)
 (command "ucs" "w")
 (setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
 (while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
 (princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
zed1987    1

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/topic/62667-nho-anh-em-giup-lisp-ghi-cao-do-mat-cat-ngang/
(defun C:HA( / y0 y1 ent)
(command "ucs" "w")
(setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
(while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")))
   (setq ent (car (entsel "\nChon Text de sua cao do: ")))
   (entmod (subst (cons 1 (rtos (- y1 y0) 2 2)) (assoc 1 (entget ent)) (entget ent)))))
(princ))

nhờ các pro chỉnh sửa jup e cho nó cho mình chọn tỉ lệ bản vẽ với ạ,vì lips này ko cho mình chọn tỉ lệ bản vẽ ạ ,e kam ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
zed1987    1

chả là e có lip tinh dt hình học và dt sai số trong bản vẽ trắc ngang nhưng lại ko chọn dc nhiều miền nhờ các pro sửa giúp cho nó chon dc 1 lúc nhiều miền với ạ

LIP TÍNH DT SAI SỐ

phamicha_vimaru

(Defun c:Shh()
(setvar "cmdecho" 0)
(initget "Heso Do")
(command "style" "St" "TXT.shx" "" "0.8" "0" "" "" "")
        (command "LAYER" "OF" "line" "")
(command "LAYER" "OF" "defpoints" "")

;;;   (ALERT "
;;;   Cac he so tuong ung voi ty le
;;;  ((= tl 1/2000) 0.4))
;;;  ((= tl 1/1000) 0.1))
;;;  ((= tl 1/500)  0.25))
;;;  ((= tl 1/250)  0.0625))
;;;  ((= tl 1/200)  0.04))
;;;  ((= tl 1/100)  0.01))
;;;  ((= tl 1/50)   0.0025))
;;;  ((= tl 1/25)   0.000625))
;;;  ((= tl 1/10)   0.1))
;;;  ")

(setq pt (getpoint "\n He so / <Chon diem>:"))
    (if (= pt "Heso")
      (progn
   (setq am (getreal "\n Cho he so : "))
   (if (and (null am) (/= ac 0))
    (setq am ac)
   )
  (setq pt (getpoint "\n Chon diem: "))
  )
  (setq ac am))
  
(if (or (= am 0) (null am)) (setq am 1))
(setq s 0)
(progn
;  (setq pt (getpoint "\n Chon diem: "))
       (while pt
   (setq entold (cdr (assoc 5 (entget (entlast)))))
   (command "boundary" pt "")
   (setq entnew (cdr (assoc 5 (entget (entlast)))))
   (if (/= entold entnew)   
    (progn
                         (setq entnew (entget (entlast)))
                         (if (assoc 62 entnew)
                            (setq entnew (subst (cons 62 (+ 3 (cdr (assoc 62 entnew)))) (assoc 62 entnew) entnew))
                            (setq entnew (append entnew (list (cons 62 (+ 3 (cdr (assoc 62 (tblsearch "layer" (cdr (assoc 8 entnew))))))))))
                           )
   
                         
                         (entmod entnew)
                         (Command "area" "o" (entlast))
     (setq s (+ s (getvar "area")))
        (setq pt (getpoint "\n Chon diem: "))
     (entdel (entlast))
           )
    (progn
     (princ "chon diem sai")
     (setq pt (getpoint "\n Chon diem: "))
    )
   )
    )

            )

"(command "osnap" "intersection")"

(princ (* s am))
         (princ)
(command "style" "St" "vnsimple.shx" "" "0.8" "0" "" "" "")
(setq pt1 (getpoint "Chon vi tri ghi dien tich: "))
(setq dt (* s am ))
(setq dt (strcat (rtos dt 2 2) "m2"))
(command "text" pt1 2 0 (strcat "Sss = " dt))

)

 

LIP DIỆN TÍCH HÌNH HỌC

phamicha_vimaru
(Defun c:Shh()
(setvar "cmdecho" 0)
(initget "Heso Do")
(command "style" "St" "TXT.shx" "" "0.8" "0" "" "" "")
        (command "LAYER" "OF" "line" "")
(command "LAYER" "OF" "defpoints" "")

;;;   (ALERT "
;;;   Cac he so tuong ung voi ty le
;;;  ((= tl 1/2000) 0.4))
;;;  ((= tl 1/1000) 0.1))
;;;  ((= tl 1/500)  0.25))
;;;  ((= tl 1/250)  0.0625))
;;;  ((= tl 1/200)  0.04))
;;;  ((= tl 1/100)  0.01))
;;;  ((= tl 1/50)   0.0025))
;;;  ((= tl 1/25)   0.000625))
;;;  ((= tl 1/10)   0.1))
;;;  ")

(setq pt (getpoint "\n He so / <Chon diem>:"))
    (if (= pt "Heso")
      (progn
   (setq am (getreal "\n Cho he so : "))
   (if (and (null am) (/= ac 0))
    (setq am ac)
   )
  (setq pt (getpoint "\n Chon diem: "))
  )
  (setq ac am))
  
(if (or (= am 0) (null am)) (setq am 1))
(setq s 0)
(progn
;  (setq pt (getpoint "\n Chon diem: "))
       (while pt
   (setq entold (cdr (assoc 5 (entget (entlast)))))
   (command "boundary" pt "")
   (setq entnew (cdr (assoc 5 (entget (entlast)))))
   (if (/= entold entnew)   
    (progn
                         (setq entnew (entget (entlast)))
                         (if (assoc 62 entnew)
                            (setq entnew (subst (cons 62 (+ 3 (cdr (assoc 62 entnew)))) (assoc 62 entnew) entnew))
                            (setq entnew (append entnew (list (cons 62 (+ 3 (cdr (assoc 62 (tblsearch "layer" (cdr (assoc 8 entnew))))))))))
                           )
   
                         
                         (entmod entnew)
                         (Command "area" "o" (entlast))
     (setq s (+ s (getvar "area")))
        (setq pt (getpoint "\n Chon diem: "))
     (entdel (entlast))
           )
    (progn
     (princ "chon diem sai")
     (setq pt (getpoint "\n Chon diem: "))
    )
   )
    )

            )

"(command "osnap" "intersection")"

(princ (* s am))
         (princ)
(command "style" "St" "vnsimple.shx" "" "0.8" "0" "" "" "")
(setq pt1 (getpoint "Chon vi tri ghi dien tich: "))
(setq dt (* s am ))
(setq dt (strcat (rtos dt 2 2) "m2"))
(command "text" pt1 2 0 (strcat "Shh = " dt))
)

 

phamicha_vimaru
(Defun c:Shh()
(setvar "cmdecho" 0)
(initget "Heso Do")
(command "style" "St" "TXT.shx" "" "0.8" "0" "" "" "")
        (command "LAYER" "OF" "line" "")
(command "LAYER" "OF" "defpoints" "")
 
;;;   (ALERT "
;;;  Cac he so tuong ung voi ty le
;;;  ((= tl 1/2000) 0.4))
;;;  ((= tl 1/1000) 0.1))
;;;  ((= tl 1/500)  0.25))
;;;  ((= tl 1/250)  0.0625))
;;;  ((= tl 1/200)  0.04))
;;;  ((= tl 1/100)  0.01))
;;;  ((= tl 1/50)   0.0025))
;;;  ((= tl 1/25)   0.000625))
;;;  ((= tl 1/10)   0.1))
;;;  ")
 
(setq pt (getpoint "\n He so / <Chon diem>:"))
    (if (= pt "Heso")
    (progn
(setq am (getreal "\n Cho he so : "))
(if (and (null am) (/= ac 0))
(setq am ac)
)
(setq pt (getpoint "\n Chon diem: "))
)
(setq ac am))
 
(if (or (= am 0) (null am)) (setq am 1))
(setq s 0)
(progn 
; (setq pt (getpoint "\n Chon diem: "))
     (while pt
(setq entold (cdr (assoc 5 (entget (entlast)))))
(command "boundary" pt "")
(setq entnew (cdr (assoc 5 (entget (entlast)))))
(if (/= entold entnew)    
(progn 
                        (setq entnew (entget (entlast)))
                        (if (assoc 62 entnew)
                          (setq entnew (subst (cons 62 (+ 3 (cdr (assoc 62 entnew)))) (assoc 62 entnew) entnew))
                          (setq entnew (append entnew (list (cons 62 (+ 3 (cdr (assoc 62 (tblsearch "layer" (cdr (assoc 8 entnew))))))))))
                          )
 
                          
                        (entmod entnew)
                        (Command "area" "o" (entlast))
(setq s (+ s (getvar "area")))
    (setq pt (getpoint "\n Chon diem: "))
(entdel (entlast))
        )
(progn
(princ "chon diem sai")
(setq pt (getpoint "\n Chon diem: "))
)
)
 )
 
            )
 
"(command "osnap" "intersection")"
 
(princ (* s am))
         (princ)
(command "style" "St" "vnsimple.shx" "" "0.8" "0" "" "" "")
(setq pt1 (getpoint "Chon vi tri ghi dien tich: "))
(setq dt (* s am ))
(setq dt (strcat (rtos dt 2 2) "m2"))
(command "text" pt1 2 0 (strcat "Shh = " dt))
)
  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

Sau này bạn vui lòng :

1- Post đúng vị trí bạn đã thấy lisp nếu yêu cầu không khác quá xa yêu cầu gốc

2- Nếu post code ra ngoài vui lòng cho code vào thẻ code (hình <>)

 

(defun C:HA( / y0 y1 ent s)
(command "ucs" "w")
(setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
(or *tl* (setq *tl* 1))
(setq *tl* (cond ((getreal (strcat "\nTi le < " (rtos *tl*) "> :")))(*tl*)))
(while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")) s (* *tl* (- y1 y0)))
   (not (while (not (setq ent (car (entsel "\nChon Text de sua cao do: "))))))
   (entmod (subst (cons 1 (strcat (if (> s 0.0) "+" "") (rtos s 2 2))) (assoc 1 (entget ent)) (entget ent)))))
(princ))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nhantony    6

Sau này bạn vui lòng :

1- Post đúng vị trí bạn đã thấy lisp nếu yêu cầu không khác quá xa yêu cầu gốc

2- Nếu post code ra ngoài vui lòng cho code vào thẻ code (hình <>)

 

 

(defun C:HA( / y0 y1 ent s)
(command "ucs" "w")
(setq y0 (cadr (cdr (assoc 10 (entget (car (entsel "\nChon Line de lam duong chuan: ")))))))
(or *tl* (setq *tl* 1))
(setq *tl* (cond ((getreal (strcat "\nTi le < " (rtos *tl*) "> :")))(*tl*)))
(while
  (and
   (setq y1 (cadr (getpoint "\nPick diem de lay cao do: ")) s (* *tl* (- y1 y0)))
   (not (while (not (setq ent (car (entsel "\nChon Text de sua cao do: "))))))
   (entmod (subst (cons 1 (strcat (if (> s 0.0) "+" "") (rtos s 2 2))) (assoc 1 (entget ent)) (entget ent)))))
(princ))

 

Cảm ơn anh. Nhưng a có thể xem lại dùm em sao dùng được nhưng ko thấy nó nhảy cao độ :(

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nhantony    6

Cảm ơn anh đã được rồi :)
Nhân tiện a có thể viết dùm em lisp tính khoảng cách và khoảng cách cộng dồn trong mặt cắt ngang được ko anh (Được voi đòi tiên) :p

Bạn down lại hộ mình nhẹ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.649

Mình làm được, nhưng k nhân tiện được, topic sẽ loãng. Với lại mình k biết mặt cắt ngang là gì đâu, mình chỉ biết Point, Dim, Text, Line ... thôi ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
nhantony    6

Mình làm được, nhưng k nhân tiện được, topic sẽ loãng. Với lại mình k biết mặt cắt ngang là gì đâu, mình chỉ biết Point, Dim, Text, Line ... thôi ^^

Topic này em có xin cả lisp tính khoảng cách và khoảng cách cộng dồn nữa mà :(

Mod làm được thì giúp em đi. Mọi khi em toàn vẽ thủ công mớibitst công dụng của auto lisp nên hơi gà. Lần này vẽ tận 40 cái mặt cắt ngang lận nên hơi nản :(

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

chào anh em trên diễn đàn. mong ae giúp đỡ: mình nhờ ae viết lisp xuất các cao độ và khoảng cách các điểm pick trên trắc trang đó ra file excel. VD: như xuất khoảng cách và cao độ tại vị trí 1, 2 và 3http://www.cadviet.com/upfiles/6/154098_drawing1.dwg. cảm ơn nhiều

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×